{% extends "catalog/base_generic.html" %}

{% block content %}
    {% if bookinstance_list %}
        <h1>
            {% with books_count=bookinstance_list.count %}
                Borrowed book{{ books_count|pluralize }}
                <span class="badge badge-primary">{{ books_count }}</span>
            {% endwith %}
        </h1>
        <ul class="list-group">
            {% for bookinst in bookinstance_list %}
                <li  class="list-group-item {% if bookinst.is_overdue %}list-group-item-danger{% endif %}">
                    <a href="{% url 'book-detail' bookinst.book.pk %}">{{ bookinst.book.title }}</a>
                    (Due back: {{ bookinst.due_back }}
                    {% if bookinst.is_overdue %}
                         - is overdue since {{ bookinst.due_back|timesince }}
                    {% endif %}
                    )
                </li>
            {% endfor %}
        </ul>

    {% else %}
        <h1>Borrowing</h1>
        <p>There are no books borrowed.</p>
    {% endif %}
{% endblock %}